Bug 964954 - SELinux is preventing /usr/bin/gnome-keyring-daemon from 'write' accesses on the file user.
SELinux is preventing /usr/bin/gnome-keyring-daemon from 'write' accesses on ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:0c53658c19d553667098afeeb93...
:
: 964658 964672 971382 (view as bug list)
Depends On: 964292
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 04:03 EDT by Miroslav Grepl
Modified: 2015-02-17 10:16 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 964292
Environment:
Last Closed: 2015-02-17 10:16:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Grepl 2013-05-20 04:03:45 EDT
+++ This bug was initially created as a clone of Bug #964292 +++

Description of problem:
SELinux is preventing /usr/bin/gnome-keyring-daemon from 'write' accesses on the file user.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gnome-keyring-daemon should be allowed write access on the user file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gnome-keyring-d /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:config_home_t:s0
Target Objects                user [ file ]
Source                        gnome-keyring-d
Source Path                   /usr/bin/gnome-keyring-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-keyring-3.6.3-1.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-92.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.8.11-200.fc18.x86_64 #1 SMP Wed
                              May 1 19:44:27 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-05-16 15:36:03 EDT
Last Seen                     2013-05-16 15:36:03 EDT
Local ID                      a0ae3f61-1e51-4d57-99fa-2cbc2414ba31

Raw Audit Messages
type=AVC msg=audit(1368732963.98:339): avc:  denied  { write } for  pid=7780 comm="gnome-keyring-d" name="user" dev="tmpfs" ino=21626 scontext=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:config_home_t:s0 tclass=file


type=SYSCALL msg=audit(1368732963.98:339): arch=x86_64 syscall=open success=yes exit=ENOEXEC a0=17a0c80 a1=42 a2=180 a3=7ffff936c600 items=0 ppid=7779 pid=7780 auid=42 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 ses=1 tty=(none) comm=gnome-keyring-d exe=/usr/bin/gnome-keyring-daemon subj=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-keyring-d,xdm_dbusd_t,config_home_t,file,write

audit2allow

#============= xdm_dbusd_t ==============
allow xdm_dbusd_t config_home_t:file write;

audit2allow -R
require {
	type xdm_dbusd_t;
}

#============= xdm_dbusd_t ==============
gnome_manage_home_config(xdm_dbusd_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.9.2-200.fc18.x86_64
type:           libreport

--- Additional comment from Daniel Walsh on 2013-05-17 17:18:57 EDT ---

Why is gdm starting the gnome-keyring-daemon?

--- Additional comment from Miroslav Grepl on 2013-05-20 03:52:06 EDT ---



--- Additional comment from Miroslav Grepl on 2013-05-20 03:52:08 EDT ---



--- Additional comment from Miroslav Grepl on 2013-05-20 03:54:23 EDT ---



--- Additional comment from Miroslav Grepl on 2013-05-20 03:54:54 EDT ---



--- Additional comment from Miroslav Grepl on 2013-05-20 03:55:54 EDT ---
Comment 1 Miroslav Grepl 2013-05-20 04:10:56 EDT
*** Bug 964658 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2013-05-20 04:11:05 EDT
*** Bug 964672 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2013-06-14 02:21:44 EDT
*** Bug 971382 has been marked as a duplicate of this bug. ***
Comment 4 Joost Ringoot 2013-09-02 09:07:28 EDT
Description of problem:
When opening a website with a java applet (EMC Unisphere (NAS managment))

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.x86_64
type:           libreport
Comment 5 Fedora End Of Life 2015-01-09 13:09:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:16:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.